/** 
* @file PDF.cpp
* @brief Interface for arbitrary multivariate density functions
* @author Erik Rodner
* @date 01/29/2008

*/

#include <iostream>

#include "vislearning/math/pdf/PDF.h"

using namespace OBJREC;

using namespace std;
// refactor-nice.pl: check this substitution
// old: using namespace ice;
using namespace NICE;



PDF::PDF()
{
}

PDF::~PDF()
{
}

// refactor-nice.pl: check this substitution
// old: double PDF::getProb ( const Vector & x ) const
double PDF::getProb ( const NICE::Vector & x ) const
{
    return exp ( - getNLogDensity(x) );
}


